Skip to main content
GET
/
users
/
search
Search Users
curl --request GET \
  --url https://services.leadconnectorhq.com/users/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "users": [
    {
      "id": "0IHuJvc2ofPAAA8GzTRi",
      "name": "John Deo",
      "firstName": "John",
      "lastName": "Deo",
      "email": "john@deo.com",
      "phone": "+1 808-868-8888",
      "extension": "",
      "permissions": {
        "campaignsEnabled": true,
        "campaignsReadOnly": false,
        "contactsEnabled": true,
        "workflowsEnabled": true,
        "workflowsReadOnly": true,
        "triggersEnabled": true,
        "funnelsEnabled": true,
        "websitesEnabled": false,
        "opportunitiesEnabled": true,
        "dashboardStatsEnabled": true,
        "bulkRequestsEnabled": true,
        "appointmentsEnabled": true,
        "reviewsEnabled": true,
        "onlineListingsEnabled": true,
        "phoneCallEnabled": true,
        "conversationsEnabled": true,
        "assignedDataOnly": false,
        "adwordsReportingEnabled": false,
        "membershipEnabled": false,
        "facebookAdsReportingEnabled": false,
        "attributionsReportingEnabled": false,
        "settingsEnabled": true,
        "tagsEnabled": true,
        "leadValueEnabled": true,
        "marketingEnabled": true,
        "agentReportingEnabled": true,
        "botService": false,
        "socialPlanner": true,
        "bloggingEnabled": true,
        "invoiceEnabled": true,
        "affiliateManagerEnabled": true,
        "contentAiEnabled": true,
        "refundsEnabled": true,
        "recordPaymentEnabled": true,
        "cancelSubscriptionEnabled": true,
        "paymentsEnabled": true,
        "communitiesEnabled": true,
        "exportPaymentsEnabled": true
      },
      "scopes": "campaigns.readonly",
      "roles": {
        "type": "account",
        "role": "admin",
        "locationIds": [
          "ve9EPM428h8vShlRW1KT"
        ],
        "restrictSubAccount": true
      },
      "deleted": false,
      "lcPhone": {
        "locationId": "+1234556677"
      },
      "platformLanguage": "en_US"
    }
  ],
  "count": 1231
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Agency (OR) Private Integration Token of Agency.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

companyId
string
required

Company ID in which the search needs to be performed

Example:

"5DP41231LkQsiKESj6rh"

query
string

The search term for the user is matched based on the user full name, email or phone

Example:

"John"

skip
string
default:0

No of results to be skipped before returning the result

Example:

"1"

limit
string
default:25

No of results to be limited before returning the result

Example:

"10"

locationId
string

Location ID in which the search needs to be performed

Example:

"5DP41231LkQsiKESj6rh"

type
string

Type of the users to be filtered in the search

Example:

"agency"

role
string

Role of the users to be filtered in the search

Example:

"admin"

ids
string

List of User IDs to be filtered in the search

Example:

"5DP4iH6HLkQsiKESj6rh,5DP4iH6HLkQsiKESj34h"

sort
string

The field on which sort is applied in which the results need to be sorted. Default is based on the first and last name

Example:

"dateAdded"

sortDirection
string

The direction in which the results need to be sorted

Example:

"asc"

enabled2waySync
boolean

Response

Successful response

users
object[]
count
number
Example:

1231

Last modified on March 4, 2026